Accepting request 584183 from home:BinLiu:branches:network:ha-clustering:Factory

- [Build 489.1] Corosync is not working after upgrade from sle11sp4-ha to sle15-ha(bsc#1083561) 
    Added: 0016-bsc#1083561-upgrade-from-1-x-y.patch

OBS-URL: https://build.opensuse.org/request/show/584183
OBS-URL: https://build.opensuse.org/package/show/network:ha-clustering:Factory/corosync?expand=0&rev=137
This commit is contained in:
Bin Liu 2018-03-08 06:28:39 +00:00 committed by Git OBS Bridge
parent 457957e6de
commit 83edaebdf7
3 changed files with 50 additions and 0 deletions

View File

@ -0,0 +1,37 @@
From 374895340ebaa41bee26a2c2272bc9e3906ede22 Mon Sep 17 00:00:00 2001
From: Bin Liu <bliu@suse.com>
Date: Thu, 8 Mar 2018 13:34:54 +0800
Subject: [PATCH] add init-upgrade.patch
---
init/upgrade.sh | 18 ++++++++++++++++++
1 file changed, 18 insertions(+)
create mode 100644 init/upgrade.sh
diff --git a/init/upgrade.sh b/init/upgrade.sh
new file mode 100644
index 00000000..774aece9
--- /dev/null
+++ b/init/upgrade.sh
@@ -0,0 +1,18 @@
+#! /bin/bash
+CONFIG_FILE=/etc/corosync/corosync.conf
+CONFIG_FILE_OLD=/etc/corosync/corosync.conf.old
+
+if [ -f $CONFIG_FILE ]; then
+ cp $CONFIG_FILE $CONFIG_FILE_OLD
+ #lots of operations
+ sed -i "/amf\ *{/,/\ *}/d" $CONFIG_FILE && \
+ sed -i "/aisexec\ *{/,/\ *}/d" $CONFIG_FILE && \
+ sed -i "/service\ *{/,/\ *}/d" $CONFIG_FILE && \
+ #sed -i "/token:/,/max_messages:/d" $CONFIG_FILE && \
+ sed -i "s/AMF/QUORUM/g" $CONFIG_FILE
+ if [ $? -ne 0 ]; then
+ cp $CONFIG_FILE_OLD $CONFIG_FILE
+ else
+ rm $CONFIG_FILE_OLD
+ fi
+fi
--
2.13.6

View File

@ -1,3 +1,9 @@
-------------------------------------------------------------------
Thu Mar 8 06:19:09 UTC 2018 - bliu@suse.com
- [Build 489.1] Corosync is not working after upgrade from sle11sp4-ha to sle15-ha(bsc#1083561)
Added: 0016-bsc#1083561-upgrade-from-1-x-y.patch
-------------------------------------------------------------------
Mon Mar 5 08:24:30 UTC 2018 - bliu@suse.com

View File

@ -77,6 +77,7 @@ Patch19: 0012-totemudp-u-Drop-truncated-packets-on-receive.patch
Patch20: 0013-logging-Make-blackbox-configurable.patch
Patch21: 0014-logging-Close-before-and-open-blackbox-after-fork.patch
Patch22: 0015-coverity-fixes.patch
Patch23: 0016-bsc#1083561-upgrade-from-1-x-y.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
# openais is indeed gone and should be uninstalled. Yes, we do not
@ -164,6 +165,7 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-build
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%build
%if %{with runautogen}
@ -245,6 +247,8 @@ mkdir -p %{buildroot}%{_fillupdir}/
mkdir -p %{buildroot}%{_sysconfdir}/init.d/
install -m 0644 tools/corosync-notifyd.sysconfig.example %{buildroot}/usr/lib/tmpfiles.d/corosync-notifyd
install -m 0644 conf/corosync.conf.example* %{buildroot}/usr/share/doc/packages/corosync/
mkdir -p %{buildroot}/usr/lib/corosync
install -m 0755 init/upgrade.sh %{buildroot}/usr/lib/corosync
rm -rf %{buildroot}/etc/corosync/corosync.conf.example*
rm -rf %{buildroot}/etc/logrotate.d/
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
@ -280,6 +284,7 @@ APIs and libraries, default configuration files, and an init script.
%service_add_pre corosync.service corosync-notifyd.service
%post
/usr/lib/corosync/upgrade.sh
%tmpfiles_create /usr/lib/tmpfiles.d/corosync-notifyd
%{fillup_and_insserv -n corosync}
%service_add_post corosync.service corosync-notifyd.service
@ -322,6 +327,8 @@ fi
%dir %{_sysconfdir}/corosync
%dir %{_sysconfdir}/corosync/uidgid.d
%dir %{_datadir}/doc/corosync/
%dir /usr/lib/corosync/
/usr/lib/corosync/upgrade.sh
%config(noreplace) /usr/share/doc/packages/corosync/corosync.conf.example
%config(noreplace) /usr/share/doc/packages/corosync/corosync.conf.example.udpu
%config(noreplace) /usr/lib/tmpfiles.d/corosync-notifyd